Create a table
curl --request POST \
--url https://app.myhero.so/table \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"resolveConflictServer": true,
"skipDefaultColumn": true
}
'import requests
url = "https://app.myhero.so/table"
payload = {
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"resolveConflictServer": True,
"skipDefaultColumn": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
name: '<string>',
description: '<string>',
resolveConflictServer: true,
skipDefaultColumn: true
})
};
fetch('https://app.myhero.so/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>",
"name": "<string>",
"slug": "<string>",
"rows": [
"<string>"
],
"columns": [
"<string>"
],
"isStatic": false,
"ownerId": "<string>",
"projectId": "<string>",
"workspaceId": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"description": "<string>",
"icon": {
"name": "<string>",
"color": "<string>"
},
"isDeleted": false
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"message": "<string>",
"type": "TABLE_NAME_CONFLICT"
}Tables
Create a table
Creates a new table inside the given project.
Tables are spreadsheet-like data containers with typed columns.
By default, an identifier column and one string column are created along with a single empty row.
Returns the created table document.
POST
/
table
Create a table
⌘I